# Changelog

## [0.0.4](https://github.com/liblaf/grapes/compare/v0.0.3..v0.0.4) - 2025-02-09

### ✨ Features

- add path utilities and update type hints - ([b66c1bd](https://github.com/liblaf/grapes/commit/b66c1bd4f4ad3abb56de4d5268fa7be98e98f68a))
- add itertools module and logging once functions - ([10ad9cf](https://github.com/liblaf/grapes/commit/10ad9cfc1ace865296c1c380445750d0ca988187))

### ⬆️ Dependencies

- **deps:** update dependency boltons to v25 (#11) - ([cae7976](https://github.com/liblaf/grapes/commit/cae797647886d4fd8c2a2ae4d469ba4b3910f7fc))

### 📝 Documentation

- add line breaks for readability in serde docs - ([74f6f2c](https://github.com/liblaf/grapes/commit/74f6f2cf4843f13b3394cf9e47eeb30841ec28c2))
- add and update module docstrings - ([4740926](https://github.com/liblaf/grapes/commit/4740926faaebf47554065524d246b2c66fc64dd6))
- update and correct inventory URLs - ([45c6835](https://github.com/liblaf/grapes/commit/45c6835f732df6f35d979b439cf181b2dbb1e2f2))
- update and enhance documentation setup - ([39b1dad](https://github.com/liblaf/grapes/commit/39b1dada99ca91812cdc69483a9d7fcfbc3b9b49))
- add markdown support in HTML for README - ([eaafe22](https://github.com/liblaf/grapes/commit/eaafe22ac26e833788da5e9e7bde38b02e6d3713))

### ♻ Code Refactoring

- **docs:** replace Python asset download script with shell script - ([4fe1869](https://github.com/liblaf/grapes/commit/4fe1869a0f76ffd45d18f74bfa971c3a1bc7f01c))
- **timer:** simplify time counter logic and improve TimerRecords class - ([b40c2c3](https://github.com/liblaf/grapes/commit/b40c2c37fc5dd5c2afdf23727e355db4a8c38800))
- remove unused dependencies and update imports - ([69bfcf4](https://github.com/liblaf/grapes/commit/69bfcf45474d3a7dd5dae6abff8ea92c302d1e20))
- reorganize timer and optional imports modules - ([a362ce5](https://github.com/liblaf/grapes/commit/a362ce55e4979c94601bb192c75bb5ac2869faa2))

### 🔧 Continuous Integration

- remove redundant docs workflow - ([fad79ce](https://github.com/liblaf/grapes/commit/fad79cebc04e47a35fbf1de9ccfaa13aa863a86a))

### ❤️ New Contributors

- @liblaf made their first contribution
- @renovate[bot] made their first contribution in [#14](https://github.com/liblaf/grapes/pull/14)

## [0.0.3](https://github.com/liblaf/grapes/compare/v0.0.2..v0.0.3) - 2025-02-02

### ♻ Code Refactoring

- **grapes:** rename progress to progress_bar and enhance timer reporting - ([870b497](https://github.com/liblaf/grapes/commit/870b497df9f11eb3465d2de5da6bcd29c9f07f59))

### ❤️ New Contributors

- @renovate[bot] made their first contribution in [#9](https://github.com/liblaf/grapes/pull/9)

## [0.0.1](https://github.com/liblaf/grapes/compare/v0.0.0..v0.0.1) - 2025-01-20

### ✨ Features

- add documentation workflow and assets - ([daca118](https://github.com/liblaf/grapes/commit/daca1183a8f7685a35be4a61ce3d8833f7f6c593))
- add MkDocs documentation setup and configuration - ([4830aee](https://github.com/liblaf/grapes/commit/4830aee1fbedc0c1321597bbeb1fc6ba56828aee))

### 🐛 Bug Fixes

- correct logo asset format from SVG to PNG - ([ae3c6a6](https://github.com/liblaf/grapes/commit/ae3c6a6b55bc00f9ab0c706cfde7d5893d51ebad))

### ♻ Code Refactoring

- improve code reference generation and documentation setup - ([9911c42](https://github.com/liblaf/grapes/commit/9911c4229e79b0228505a6bb0af255c063e5a187))

### 🔧 Continuous Integration

- update docs workflow and bump numpy version - ([6d3417e](https://github.com/liblaf/grapes/commit/6d3417ea9a5152e6015c7b0542095cf7e5d7a202))
- improve GitHub Actions workflow and asset download script - ([9f9323e](https://github.com/liblaf/grapes/commit/9f9323e97353f3af04a0121a0baf51b6ce213da0))

### ❤️ New Contributors

- @liblaf-bot[bot] made their first contribution

## [0.0.0] - 2025-01-16

### ✨ Features

- **human:** add human_duration_series function and numpy dependency - ([f896854](https://github.com/liblaf/grapes/commit/f89685440683d5ff49fca0bb04a93cde66411381))
- **human:** add human-readable formatting for counts, durations, and throughput - ([7ab9ba7](https://github.com/liblaf/grapes/commit/7ab9ba7c0ca089f187cf32f5e8b82be43961fcfe))
- **serde:** add serialization/deserialization utilities - ([ba4cb55](https://github.com/liblaf/grapes/commit/ba4cb5506ff89af6859b635c84eae6b9a0bc61ea))
- **text:** add `strip_comments` utility for text processing - ([2144402](https://github.com/liblaf/grapes/commit/2144402c77b7a264e6ed1fbb2c3324b9c02b07a2))
- **timer:** enhance timer functionality and integrate with progress tracking - ([71c624d](https://github.com/liblaf/grapes/commit/71c624df066e54372251938b595dd1a4fcaa6dee))
- **timer:** enhance timer functionality and improve logging - ([7e3bcd3](https://github.com/liblaf/grapes/commit/7e3bcd312bbe657c9faa1184a5d578e5ef1a064f))
- **timer:** add TimerRecords class for tracking and reporting timing data - ([b73560e](https://github.com/liblaf/grapes/commit/b73560e6922eb38f82214932a248ebb4c2c47edb))
- add progress tracking and improve logging initialization - ([9a9764f](https://github.com/liblaf/grapes/commit/9a9764f1a15d3dd98db0615d1d9dd8723d65bd1b))
- add initial project structure and core functionality - ([03b5855](https://github.com/liblaf/grapes/commit/03b5855a860f269a10ebc471206979230fba5a13))

### ♻ Code Refactoring

- **logging:** extract caller location and function name utilities - ([a46420e](https://github.com/liblaf/grapes/commit/a46420e8c075282c1fd6577e42f65d92968080b2))

### 👷 Build System

- add twine check to build process and update dependencies - ([a07cce2](https://github.com/liblaf/grapes/commit/a07cce284b00e7ad178dc53cdf300636164d3c1a))
- add build task and update dependencies - ([d7557c7](https://github.com/liblaf/grapes/commit/d7557c73178492bde5e51270a8a0b3756ed82d6d))
- restructure project and update dependencies - ([8788a7c](https://github.com/liblaf/grapes/commit/8788a7c99b02aac2bcd6183c2bd7484a58fdf4b2))

### ❤️ New Contributors

- @release-please[bot] made their first contribution in [#4](https://github.com/liblaf/grapes/pull/4)
- @liblaf made their first contribution
